.quote-banner {
    background-image: linear-gradient(to right, #222f6e, #2563eb);
    color: white;
    padding: 40px;
    border-radius: 10px;
    text-align: center;
    font-size: 1.8rem;
    font-weight: bold;
    margin-bottom: 20px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.quote-text {
    font-style: italic;
    font-size: 1.5rem;
}

.quote-author {
    margin-top: 10px;
    font-size: 1.2rem;
    font-weight: normal;
}

.search-container {
    top: 10px;
    z-index: 1000;
    background-color: #fff;
    padding: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    margin-bottom: 20px;
}

.search-container input {
    width: 300px;
    padding: 10px;
    border-radius: 25px;
    border: 1px solid #ccc;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    outline: none;
    transition: all 0.3s ease;
}

.search-container input:focus {
    border-color: #2563eb;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.scroll-container {
    margin-top: 20px;
}

.item-group {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
}

.item-group a {
    text-align: center;
    padding: 20px;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border: 1px solid #f0f0f0;
    height: 150px !important;
}

.item-group a:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.2);
}

.item-group img {
    max-width: 60px;
    margin-bottom: 10px;
    transition: transform 0.3s ease;
}

.item-group a:hover img {
    transform: scale(1.1);
}

.item-group small {
    font-size: 14px;
    font-weight: 500;
    color: #333;
}

.breadcrumb {
    background-color: transparent;
    padding: 0;
    margin-bottom: 20px;
}

.breadcrumb a {
    color: #2563eb;
    text-decoration: none;
}

.breadcrumb a:hover {
    text-decoration: underline;
}

.card-title {
    margin-bottom: 30px;
}

.card-title span {
    font-weight: normal;
    color: #777;
}

@media (max-width: 768px) {
    .scroll-container {
        margin-top: 10px;
    }

    .item-group {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }

    .search-container input {
        width: 100%;
    }
}